import { request } from "../request";
import { isString } from "../../utils/string/isString";
export const getBotLogin = (tenant, redirectUri) => request
    .get("login", {
    searchParams: {
        type: "bot",
        ...(isString(tenant) && { tenant }),
        ...(isString(redirectUri) && { redirectUri }),
    },
})
    .json();
export const authBotByCode = (code, redirectUri) => request
    .post("token", {
    searchParams: {
        type: "bot",
        code,
        ...(isString(redirectUri) && { redirectUri }),
    },
})
    .json();
