interface GetUserLoginResponseInterface {
    url: string;
}
interface AuthUserResponseInterface {
    subject: string;
    tenant_id: string;
    tenant_alias: string;
    scopes: string[];
    token_type: string;
    access_token: string;
    refresh_token: string;
    expires_in: number;
}
export declare const getUserLogin: (tenant?: string, redirectUri?: string) => Promise<GetUserLoginResponseInterface>;
export declare const fetchTokenByCode: (code: string, redirectUri?: string) => Promise<AuthUserResponseInterface>;
export declare const fetchTokenByRefresh: (refresh: string) => Promise<AuthUserResponseInterface>;
export {};
