import { BackendError, unknownRequest, unknownResponse } from "./BackendError";
export class ValidationError extends BackendError {
    errors;
    constructor(errors, message = "Validation failed", request = unknownRequest, response = unknownResponse) {
        super(request, response, message);
        this.errors = errors;
        this.name = "ValidationError";
    }
}
