export const getCookie = (name) => {
    const value = `; ${document.cookie}`;
    const parts = value.split(`; ${name}=`);
    if (parts.length === 2) {
        const value = parts.pop()?.split(";").shift();
        if (value) {
            return decodeURIComponent(value);
        }
    }
    return undefined;
};
